Skip to content
API reference · Wallets

Public wallet associations

Coming soon
GEThttps://fomodata.dev/v1/wallets/{ref}
Scopes:wallets:readRate class:heavyFlag:WALLETS_API_ENABLED

Public, authorized wallet associations for a profile. Disabled by default (WALLETS_API_ENABLED=false): until wallet exposure is confirmed as permitted, this returns 404 FEATURE_DISABLED and the wallets:read scope cannot be granted.

Not available yet

This endpoint is behind WALLETS_API_ENABLED, which is off on this deployment. Calls return 404 FEATURE_DISABLED.

Example request

curl 'https://fomodata.dev/v1/wallets/@milo' \
  -H "Authorization: Bearer $FOMODATA_API_KEY"

Parameters

Path parameters
refstringrequired
@milo, milo, a FomoData id (fp_…) or a Fomo user id.

Response

200 Wallet associations

application/jsonProfileWallets
  • objectenumrequired"profile_wallets"
  • profileobjectrequired+ 4 child attributes
    • idstringrequired
    • handlestringrequired
    • display_namestring | nullrequired
    • avatar_urlstring (uri) | nullrequired
  • walletsarray<Wallet & object>required+ 3 child attributes
    • addressstringrequired
    • networkstringrequired
    • observed_atstringrequired
  • livemodebooleanrequired
200 · example
{
  "object": "profile_wallets",
  "profile": {
    "id": "fp_4KZq8mXw2T0aN6rB1cYd9E",
    "handle": "@milo",
    "display_name": "Milo",
    "avatar_url": "https://example.com"
  },
  "wallets": [
    {
      "address": "string",
      "network": "evm",
      "observed_at": "string"
    }
  ],
  "livemode": true
}

Errors

StatusWhen
401Missing, invalid, revoked or expired API key
403Insufficient scope, live access not approved, or history limit
404Not found (or feature disabled)
422Validation failed
429Rate limit or quota exceeded
503Upstream unavailable

All errors use the standard envelope. See error codes for every code value.